Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class Pragma.ForbiddenPragmaModule

    java.lang.Object
      org.python.core.Pragma.PragmaModule
          org.python.core.Pragma.ForbiddenPragmaModule

Enclosing interface:
  Pragma

    public static final class Pragma.ForbiddenPragmaModule

extends Pragma.PragmaModule

Field Summary

Fields inherited from class org.python.core.Pragma.PragmaModule
`name`

Constructor Summary
`Pragma.ForbiddenPragmaModule(String name)`
`Pragma.ForbiddenPragmaModule(String name, String message)`

Method Summary
`void` | `addTo(PragmaReceiver receiver)`
`Pragma` | `getPragma(String name)`
`Pragma` | `getStarPragma()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pragma.ForbiddenPragmaModule

    public Pragma.ForbiddenPragmaModule(String name)

### Pragma.ForbiddenPragmaModule

    public Pragma.ForbiddenPragmaModule(String name,
                                        String message)

Method Detail

### getPragma

    public Pragma getPragma(String name)

  Specified by:
    `getPragma` in class `Pragma.PragmaModule`

### getStarPragma

    public Pragma getStarPragma()

  Specified by:
    `getStarPragma` in class `Pragma.PragmaModule`

### addTo

    public void addTo(PragmaReceiver receiver)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage